const Mesa = require('vendor/Mesa.js');

/**
 * A Mesa Script exports a class with a script() method.
 */
module.exports = new class {

  /**
   * Mesa Script
   *
   * @param {object} payload The payload data
   * @param {object} context Additional context about this task
   */
  script = (payload, context) => {
    const vars = context.steps;

    let lastLoopKey = 'fera.' + (vars.fera.length - 1);
    Mesa.log.info("last loop key: " + lastLoopKey);
    Mesa.log.info("loop key: " + vars.loop.key);
    if (vars.loop.key == lastLoopKey) {
        Mesa.trigger.setTaskExternalData({
          label: "Last loop. Triggering next workflow.",
        });  
        let data = {
          "shop": vars.shopify.vendor,
          "product_id": vars.shopify.id,
          "limit": 100,
        };
        Mesa.automation.send('summarize_reviews_with_gpt', data);
    }

    // We're done, call the next step!
    Mesa.output.next(payload);
  }
}
